Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ChannelRendererFactoryImpl

    java.lang.Object
      org.jasig.portal.ChannelRendererFactoryImpl

All Implemented Interfaces:
  IChannelRendererFactory

    public final class ChannelRendererFactoryImpl

extends java.lang.Object
implements IChannelRendererFactory

The `ChannelRendererFactoryImpl` creates `IChannelRenderer` objects which use a bounded thread pool.

Version:
  $Revision: 1.6 $
Author:
  Jan Nielsen

Field Summary
`private static edu.emory.mathcs.backport.java.util.concurrent.ExecutorService` | `cSharedThreadPool` Shared thread pool for all factories.
`private static org.apache.commons.logging.Log` | `log`
`private edu.emory.mathcs.backport.java.util.concurrent.ExecutorService` | `mThreadPool` Thread pool per factory.
`static java.lang.String` | `RCS_ID` Class version identifier.

Constructor Summary
`ChannelRendererFactoryImpl(java.lang.String keyBase)` Creates a new instance of a bounded thread pool channel renderer factory object.

Method Summary
`IChannelRenderer` | `newInstance(IChannel channel, ChannelRuntimeData channelRuntimeData)` Creates a new instance of a channel renderer object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Class version identifier.

  See Also:
    Constant Field Values

### log

    private static final org.apache.commons.logging.Log log

### mThreadPool

    private edu.emory.mathcs.backport.java.util.concurrent.ExecutorService mThreadPool

  Thread pool per factory.

### cSharedThreadPool

    private static edu.emory.mathcs.backport.java.util.concurrent.ExecutorService cSharedThreadPool

  Shared thread pool for all factories.

Constructor Detail

### ChannelRendererFactoryImpl

    public ChannelRendererFactoryImpl(java.lang.String keyBase)

  Creates a new instance of a bounded thread pool channel renderer factory object. The constructor should not be invoked directly; it should only be constructed by the `ChannelRendererFactory` object.

  This factory implooks for the properties:

        keyBase + ".threadPool_initialThreads"
        keyBase + ".threadPool_maxThreads"
        keyBase + ".threadPool_threadPriority"
        keyBase + ".threadPool_shared"

  in the configuration system and then reflectively constructs the factory class with the default (no-argument) constructor.

  Parameters:
    `keyBase` - configuration base key or `null`

Method Detail

### newInstance

    public IChannelRenderer newInstance(IChannel channel,
                                        ChannelRuntimeData channelRuntimeData)

  Creates a new instance of a channel renderer object.

  Specified by:
    `newInstance` in interface `IChannelRendererFactory`
  Parameters:
    `channel` - channel to render
    `channelRuntimeData` - runtime data for the channel to render
  Returns:
    new instance of a channel renderer for the specified channel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD